aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild/npm-post-build.sh29
-rw-r--r--package.json2
2 files changed, 30 insertions, 1 deletions
diff --git a/build/npm-post-build.sh b/build/npm-post-build.sh
new file mode 100755
index 00000000000..51a8bda3b60
--- /dev/null
+++ b/build/npm-post-build.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# SPDX-FileCopyrightText: 2024 Nextcloud GmbH and Nextcloud contributors
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+set -e
+
+# Build CSS files from SCSS
+npm run sass
+# Build icons
+npm run sass:icons
+
+# Add licenses for source maps
+if [ -d "dist" ]; then
+ for f in dist/*.js; do
+ # If license file and source map exists copy license for the sourcemap
+ if [ -f "$f.license" ] && [ -f "$f.map" ]; then
+ # Remove existing link
+ [ -e "$f.map.license" ] || [ -L "$f.map.license" ] && rm "$f.map.license"
+ # Create a new link
+ ln -s "$(basename "$f.license")" "$f.map.license"
+ fi
+ done
+ echo "Copying licenses for sourcemaps done"
+else
+ echo "This script needs to be executed from the root of the repository"
+ exit 1
+fi
+
diff --git a/package.json b/package.json
index 6b446191396..8b81d18e926 100644
--- a/package.json
+++ b/package.json
@@ -9,7 +9,7 @@
},
"scripts": {
"build": "webpack --node-env production --progress",
- "postbuild": "npm run sass && npm run sass:icons",
+ "postbuild": "build/npm-post-build.sh",
"dev": "webpack --node-env development --progress",
"watch": "webpack --node-env development --progress --watch",
"lint": "eslint $(for appdir in $(ls apps); do if ! $(git check-ignore -q $appdir); then printf \"$appdir \"; fi; done) core --no-error-on-unmatched-pattern",